# sc::SCMatrixDiagBlockIter Class Reference

Inheritance diagram for sc::SCMatrixDiagBlockIter:

List of all members.

## Public Member Functions
| SCMatrixDiagBlockIter (SCMatrixDiagBlock *)
int | i ()
| Returns the row index.
int | j ()
| Returns the column index.
double | get ()
| Return the value of the current element.
void | set (double)
| Set the current element to val.
| operator int ()
| Return nonzero if there are more elements.
void | operator++ ()
| Move to the next element.
void | reset ()
| Start the iteration over.

The documentation for this class was generated from the following file:

- blkiter.h